exports.plugins = {
	json:	{
		cache:	false,
		render:	false,
		parse:	function(regex, match, expr, options, pos, data, callback) {
			if (data[expr]) {
				callback(JSON.stringify(data[expr]));
			} else {
				callback("{}");
			}
		}
	},
	json64:	{
		cache:	false,
		render:	false,
		parse:	function(regex, match, expr, options, pos, data, callback) {
			if (data[expr]) {
				callback('"'+new Buffer(JSON.stringify(data[expr])).toString('base64')+'"');
			} else {
				callback('"'+new Buffer('{}').toString('base64')+'"');
			}
		}
	},
	string64:	{
		cache:	false,
		render:	false,
		parse:	function(regex, match, expr, options, pos, data, callback) {
			if (data[expr]) {
				callback('"'+new Buffer(data[expr]).toString('base64')+'"');
			} else {
				callback('"'+new Buffer('').toString('base64')+'"');
			}
		}
	},
	fjson:	{
		cache:	false,
		render:	false,
		parse:	function(regex, match, expr, options, pos, data, callback) {
			if (data[expr]) {
				callback(JSON.stringify(data[expr], null, 4));
			} else {
				callback("{}");
			}
		}
	},
	text:	{
		cache:	false,
		render:	false,
		parse:	function(regex, match, expr, options, pos, data, callback) {
			if (data[expr] || typeof data[expr] == "number" || typeof data[expr] == "boolean") {
				callback(data[expr]);
			} else {
				callback("");
			}
		}
	}
}